Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.
Data Processing Engine Actions
A Data Processing Engine definition transforms data from your Salesforce org and writes back the results to your org. For more information about running Data Processing Engine definitions, see Run a Data Processing Engine Definition in Salesforce Help.
This object is available in API version 51.0 and later.
Special Access Rules
To know the products and user permissions needed to access this action, See product availability and user permissions for Data Processing Engine.
Supported REST HTTP Methods
- URI
- /services/data/vXX.X/actions/custom/dataProcessingEngineAction
- Formats
- JSON
- HTTP Methods
- GET, POST
- Authentication
- Authorization: Bearer token
Inputs
Use the GET method to retrieve input variables of a Data Processing Engine definition. The input variables of each Data Processing Engine definition are unique. The Data Processing Engine action uses the input variables to execute the Data Processing Engine definition and generate a batch job ID.
Outputs
| Output | Details |
|---|---|
| batchJobId |
|
Usage
JSON Sample Request to execute PointsAccrual DPE Definition
1{
2 "PointsAccrual" : {
3 "memberTier" : "Gold",
4 "minimumPointBalanceRequired" : "50000",
5 "pointType" : "non-qualifying"
6 }
7}JSON Sample Response
1{
2 "actionName":"PointsAccrual",
3 "errors":null,
4 "isSuccess":true,
5 "outputValues":{
6 "batchJobId":"0lMxx0000A000001EAA"
7 }
8}Example
- GET
-
This example shows how to retrieve input variables of a Data Processing Engine action type.
1curl --include --request GET \ 2--header "Authorization: Authorization: Bearer 00DR...xyz" \ 3--header "Content-Type: application/json" \ 4"https://instance.salesforce.com/services/data/v60.0/actions/custom/dataProcessingEngineAction/newinputvardefn" - POST
-
Here’s a request to retrieve DPE definition
1{ 2 "inputs": [ 3 { 4 "start_date": "26-09-2023", 5 "end_date": "12-12-2023", 6 "randomkey": "069SM0000001SgbYAE" 7 } 8 ] 9}Here’s a response for this action.1[ 2 { 3 "actionName": "newinputvardefn", 4 "errors": null, 5 "invocationID": null, 6 "isSuccess": true, 7 "outputValues": { 8 "batchJobId": "0mdSM0000006EJdYAM", 9 "accepted": true 10 }, 11 "version": 1 12 } 13]